%define major 2
%define libname %mklibname cares %{major}
%define libdevelname %mklibname cares -d
%define libstaticname %mklibname cares -d -s

Summary:	A library that performs asynchronous DNS operations
Name:		c-ares
Version:	1.10.0
%define subrel	2
Release:	%mkrel 5
License:	MIT
# The license can be obtained at http://c-ares.haxx.se/license.html
Group:		System/Libraries
URL:		http://c-ares.haxx.se/
Source0:	http://c-ares.haxx.se/download/%{name}-%{version}.tar.gz
# 1.7.4-1.mga1 - add patch from Fedora to make the build respect our default optflags
# (TV) can be just replaced by perl -pi -e 's!(tmp_options=")\$flags_opt_..."!\1"!' configure
Patch0:		c-ares-1.10.0-fdr-rpm-compiler-options.patch
Patch1:		c-ares-1.10.0-fdr-multilib.patch
Patch2:		c-ares-1.10.0-CVE-2016-5180.patch
# Fix for MGA#21115 and https://c-ares.haxx.se/adv_20170620.html
Patch3:		c-ares-CVE-2017-1000381.patch

BuildRequires: autoconf

%description
c-ares is a C library that performs DNS requests and name resolves 
asynchronously. c-ares is a fork of the library named 'ares', written 
by Greg Hudson at MIT.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libdevelname}
Summary:	Development files for c-ares
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libdevelname}
This package contains the header files and developemnt libraries
needed to compile applications or shared objects that use c-ares.

%package -n %{libstaticname}
Summary:	Static development library for c-ares
Group:		Development/C
Requires:	%{libdevelname} = %{version}-%{release}

%description -n	%{libstaticname}
This package contains the static development library for c-ares
needed to compile applications using c-ares.

%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .multilib
%patch2 -p1 -b .CVE-2016-5180
%patch3 -p1 -b .CVE-2017-1000381

# convert to UTF8
iconv -f ISO-8859-1 -t UTF8 CHANGES -o CHANGES.new
mv -f CHANGES.new CHANGES

%build
autoreconf -if
%configure2_5x	\
	--enable-shared \
	--enable-libgcc \
	--enable-nonblocking

%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libdevelname}
%doc README README.cares CHANGES NEWS
%{_includedir}/ares*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/libcares.pc
%{_mandir}/man3/ares_*

%files -n %{libstaticname}
%{_libdir}/lib*.a


%changelog
* Wed Jul 05 2017 shlomif <shlomif> 1.10.0-5.2.mga5
+ Revision: 1109052
- Fix for MGA#21115 and https://c-ares.haxx.se/adv_20170620.html

  + luigiwalser <luigiwalser>
    - rediff upstream patch to fix CVE-2016-5180

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 742412
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 693547
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 678268
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 533073
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 akien <akien> 1.10.0-1.mga4
+ Revision: 449639
- New upstream release (1.10.0)
- Fixed Source0 URL
- Synced Patch0 with Fedora (new patch for optflags)
- Added Patch1 from Fedora (multilib)
- Added BR on autoconf and use of autoreconf

* Fri Jan 11 2013 umeabot <umeabot> 1.9.1-2.mga3
+ Revision: 347279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 tv <tv> 1.9.1-1.mga3
+ Revision: 264152
- drop patch 1 (fix build)
- new release

* Tue Sep 06 2011 tv <tv> 1.7.5-1.mga2
+ Revision: 139411
- rediff patch 0
- new release

* Fri Apr 15 2011 ahmad <ahmad> 1.7.4-1.mga1
+ Revision: 85576
- Update to 1.7.4
- Add a patch to make the build respect our default compile flags (Fedora)
- Add a patch to to fix multi arch installs (Fedora)
- drop the deprecated --enable-thread configure options
- don't use --enable-optimize as it adds some compile flags (other than the our defaults)

* Tue Jan 11 2011 blino <blino> 1.7.3-2.mga1
+ Revision: 5712
- remove old ldconfig scriptlets
- imported package c-ares


* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.3-1mdv2011.0
+ Revision: 550110
- update to new version 1.7.3

* Mon Mar 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-1mdv2010.1
+ Revision: 528651
- update to new version 1.7.1

* Sun Dec 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.0-1mdv2010.1
+ Revision: 480446
- fix file list
- update to new version 1.7.0

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-2mdv2010.0
+ Revision: 413197
- rebuild

* Thu Dec 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 313389
- update to new version 1.6.0
- enable non-blocking communication

* Fri Nov 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.3-1mdv2009.1
+ Revision: 307483
- fix urls
- enable thread-safe functions
- use libgcc when linking
- spec file clean
- update to new version 1.5.3

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.5.2-2mdv2009.0
+ Revision: 266440
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.5.2-1mdv2009.0
+ Revision: 213878
- New version 1.5.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Nov 24 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.5.1-1mdv2008.1
+ Revision: 111764
- fix group
- initial package based on Fedora spec, thx! :)
- create c-ares

